---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: projects-frontend-static
  namespace: projects
  labels:
    app: projects-frontend-static
spec:
  replicas: 2
  selector:
    matchLabels:
      app: projects-frontend-static
  template:
    metadata:
      labels:
        app: projects-frontend-static
    spec:
      containers:
        - name: projects-frontend-static
          image: cr.yandex/crp3ccidau046kdj8g9q/project-frontend-app:wb_fd49eb19
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /ping
              port: 80
            initialDelaySeconds: 10
            periodSeconds: 60
            failureThreshold: 10
          readinessProbe:
            httpGet:
              path: /ping
              port: 80
            initialDelaySeconds: 10
            periodSeconds: 30
            failureThreshold: 20
          resources:
            requests:
              cpu: 25m
              memory: 100Mi
      imagePullSecrets:
        - name: regcred
